Gönderen Konu: [Çözüldü] Vlc Player'ın güncel versiyonu kurulmuyor  (Okunma sayısı 2400 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı yyz

  • Çaylak Penguen
  • **
  • İleti: 115
  • Dağıtım: Linux Mint 19 64bit
  • Masaüstü: Cinnamon&Mate
Evet, sistemde kurulu olan vlc versiyon 2.1.6 olarak görüniyor ancak resmi sitede güncel versiyon 2.2.1; ve bu versiyona güncelleme yapamıyorum. Kaldırıp komutla veya ppa deposu ekleyerek de güncellenmiyor. Güncellemeye çalışınca zaten en son sürümde diyor ya da yine 2.1.6 versiyonunu kuruyor. Çok sıkıntı değil aslında, linux'ta bir programın güncel versiyonunun depolara geç gelebildiğini biliyorum ama merak ediyorum neden böyle olduğunu... sonuçta 2.1.6'dan 2.2.1'e güncellenen bir program var ortada...
« Son Düzenleme: 25 Temmuz 2015, 11:25:28 Gönderen: yyz »

Çevrimdışı Genizcil_N

  • Forum Yöneticisi
  • *****
  • İleti: 1969
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Mate
Ynt: Vlc Player'ın güncel versiyonu kurulmuyor
« Yanıtla #1 : 23 Temmuz 2015, 21:32:16 »
Sürekli güncellemek büyük bir emek ister. Ayrıca geliştiricilerin "Çalışıyorsa elleme"(if it ain't broke don't fix it) düşüncesi de güncellemelerde etkilidir.

Çevrimdışı yyz

  • Çaylak Penguen
  • **
  • İleti: 115
  • Dağıtım: Linux Mint 19 64bit
  • Masaüstü: Cinnamon&Mate
Ynt: Vlc Player'ın güncel versiyonu kurulmuyor
« Yanıtla #2 : 23 Temmuz 2015, 23:40:09 »
Doğru, anlıyorum da; böylesine popüler bir programın depoda hala eski versiyonunun olması ilginç geldi. Chrome, firefox, libreoffice falan güncel sürüm oldukça kendiliğinden güncelleniyor. Vlc de sürekli güncellenen ve geliştirilen bir proje, açık kaynak programların öncülerinden aslında; en güncelinin depolara yansıması gerekmez mi?

Çevrimdışı Genizcil_N

  • Forum Yöneticisi
  • *****
  • İleti: 1969
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Mate
Ynt: Vlc Player'ın güncel versiyonu kurulmuyor
« Yanıtla #3 : 24 Temmuz 2015, 18:52:46 »
Doğru, anlıyorum da; böylesine popüler bir programın depoda hala eski versiyonunun olması ilginç geldi. Chrome, firefox, libreoffice falan güncel sürüm oldukça kendiliğinden güncelleniyor. Vlc de sürekli güncellenen ve geliştirilen bir proje, açık kaynak programların öncülerinden aslında; en güncelinin depolara yansıması gerekmez mi?
Yazılım güncelleme politikası tam olarak nasıl işliyor bilmiyorum. Ancak bunun uzun süreli desteklenen sürüm olmasından kaynaklandığını düşünüyorum. (Ubuntu14.04 depolarında 2.1.6 varken, 15.04'te 2.2.1 var.)Önemli bir güncelleştirme olursa güncelleme gelecektir.(Güvenlik güncelleştirmeleri vb.).

Çevrimdışı yyz

  • Çaylak Penguen
  • **
  • İleti: 115
  • Dağıtım: Linux Mint 19 64bit
  • Masaüstü: Cinnamon&Mate
Ynt: Vlc Player'ın güncel versiyonu kurulmuyor
« Yanıtla #4 : 24 Temmuz 2015, 21:15:53 »
Kod: [Seç]
sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install vlc vlc-plugin-*

Bu depoyu ekleyerek güncelleme yapabildim.

Çevrimdışı Genizcil_N

  • Forum Yöneticisi
  • *****
  • İleti: 1969
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Mate
Ynt: Vlc Player'ın güncel versiyonu kurulmuyor
« Yanıtla #5 : 24 Temmuz 2015, 23:05:22 »
Başlığı etiketlerseniz konuyu kilitleyebiliriz. Çözülen Başlıkların Etiketlenmesi